Stage a file for an execution
curl --request POST \
--url https://odyssey.asteroid.ai/agents/v2/temp-files \
--header 'Content-Type: multipart/form-data' \
--header 'X-Api-Key: <api-key>' \
--form 'files=@example-file;type=text/plain'import requests
url = "https://odyssey.asteroid.ai/agents/v2/temp-files"
files = { "files": ("example-file", open("example-file", "rb"), "text/plain") }
headers = {"X-Api-Key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
const options = {method: 'POST', headers: {'X-Api-Key': '<api-key>'}};
options.body = form;
fetch('https://odyssey.asteroid.ai/agents/v2/temp-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tempFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}<string>User is not a member of the organization.Internal server error.Files
Stage a file for an execution
Stage a file prior to starting an execution, so that it can be used when the execution is started. See the /agents//execute to understand how to pass the returned file information to the execution endpoint.
POST
/
temp-files
Stage a file for an execution
Authorizations
Query Parameters
The organization. Defaults to the one organization the caller acts in, such as an API key's. Required when the caller belongs to several.
Body
multipart/form-data
Response
The request has succeeded.
Show child attributes
Show child attributes

